{{ define "header_css" }}{{ end }}
{{ define "body_classes" }}page-home{{ end }}
{{ define "header_classes" }}{{ end }}

{{ define "main" }}

    {{ if .Params.hero }}
        <div class="section pt-0 pb-0">
            {{ partial "framework/sections/hero/hero.html" (dict "context" $ "hero" .Params.hero) }}
        </div>
    {{ end }}

    <!-- Show a list of 'axes' -->
    {{ if .Params.axes.enabled }}
        {{ $section := $.Site.GetPage "section" "axes" }}
        {{ $pages := where $.Site.RegularPages "Type" "axes" }}
        {{ $limit := .Params.axes.limit | default 3 }}

        {{ $sort_by := .Params.axes.sort_by | default "date" }}
        {{ $pages = $pages.ByParam $sort_by }}

        {{ if gt (len $pages) 0 }}
            <div class="section section-border-bottom section-base-bg">
                <div class="container">
                    <div class="section-heading pb-2">
                        <h2>{{ $section.Title }}</h2>
                        {{ if .Params.axes.show_view_all }}
                            <a href="{{ $section.Permalink | relURL }}">{{ i18n "view_all" }}</a>
                        {{ end }}
                    </div>
                    <div class="row">
                        {{ range first $limit $pages }}
                            <div class="col-12 col-md-6 col-lg-4 mb-2">
                                {{ partial "framework/summary/summary-full.html" . }}
                            </div>
                        {{ end }}
                    </div>
                </div>
            </div>
        {{ end }}
    {{ end }}
    
    {{ if .Params.intro.enabled }}
        <div class="section section-base-bg-2">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        {{ partial "framework/sections/info/info.html" (dict "context" $ "info" .Params.intro) }}
                    </div>
                </div>
                {{ if .Params.intro.partners.enabled }}
                {{ $partners := .Site.Data.partners }}
                    {{ if gt (len $partners) 0}}
                        <div class="row justify-content-center align-items-center pt-3 pt-md-4">
                            {{ range .Site.Data.partners }}
                                <div class="col-6 col-lg-2 text-center mb-1 mt-1">
                                    <img style="max-width: 180px;" height="80px" src="{{ .image | relURL }}" alt="{{ .title }}"/>
                                </div>
                            {{ end }}
                        </div>
                    {{ end }}
                {{ end }}
            </div>
        </div>
    {{ end }}

    {{ if .Params.activities.enabled }}
        {{ $section := $.Site.GetPage "section" "activities" }}
        {{ $pages := where $.Site.RegularPages "Type" "activities" }}
        {{ $limit := .Params.activities.limit | default 2 }}
        {{ if gt (len $pages) 0 }}
        <div class="section section-base-bg">
            <div class="container">
                <div class="section-heading pb-2">
                    <h2>{{ if .Params.activities.label }}{{ .Params.activities.label }}{{ else }}{{ $section.Title }}{{ end }}</h2>
                    {{ if .Params.activities.show_view_all }}
                        <a href="{{ $section.Permalink | relURL }}">{{ i18n "view_all" }}</a>
                    {{ end }}
                </div>
                <div class="row">
                    {{ range first $limit $pages }}
                        <div class="col-12 col-md-4 col-lg-4 mb-2">
                            {{ partial "theme/summary-background.html" . }}
                        </div>
                    {{ end }}
                </div>
            </div>
        </div>
        {{ end }}
    {{ end }}

    {{ if .Params.outro.enabled }}
        <div class="section section-base-bg-2">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        {{ partial "framework/sections/info/info.html" (dict "context" $ "info" .Params.outro) }}
                    </div>
                </div>
            </div>
        </div>
    {{ end }}

    {{ if .Params.blog.enabled }}
        {{ $section := $.Site.GetPage "section" "posts" }}
        {{ $pages := where $.Site.RegularPages "Type" "posts" }}
        {{ $limit := .Params.blog.limit | default 3 }}
        {{ if gt (len $pages) 0 }}
        <div class="section section-border-top section-base-bg">
            <div class="container">
                <div class="section-heading pb-2">
                    <h2>{{ $section.Title }}</h2>
                    {{ if .Params.blog.show_view_all }}
                        <a href="{{ $section.Permalink | relURL }}">{{ i18n "view_all" }}</a>
                    {{ end }}
                </div>
                <div class="row">
                    {{ range first $limit $pages }}
                        <div class="col-12 col-md-6 col-lg-4 mb-2">
                            {{ partial "framework/summary/summary-full.html" . }}
                        </div>
                    {{ end }}
                </div>
            </div>
        </div>
        {{ end }}
    {{ end }}

{{ end }}
